Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
compiz 0.9.x needs some testing love - ebuilds anyone ?
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Jasper-j
n00b
n00b


Joined: 27 Sep 2003
Posts: 15

PostPosted: Sat Aug 28, 2010 10:28 am    Post subject: Reply with quote

Hi, i tried compiz 0.9 an d it did compile. But when i want to run it. I get these messages:

Code:
Checking for Xgl: not present.
xset q doesn't reveal the location of the log file. Using fallback /var/log/Xorg.0.log
Detected PCI ID for VGA: 00:02.0 0300: 8086:0046 (rev 12) (prog-if 00 [VGA controller])
Checking for texture_from_pixmap: present.
Checking for non power of two support: present.
Checking for Composite extension: present.
Comparing resolution (1024x768) to maximum 3D texture size (4096): Passed.
Checking for nVidia: not present.
Checking for FBConfig: present.
Checking for Xgl: not present.
Starting gtk-window-decorator
/usr/bin/compiz (core) - Warn: Unknown option '--ignore-desktop-hints'

Backend     : ini
Integration : true
Profile     : default
Adding plugins
Initializing core options...done
Initializing composite options...done
Initializing opengl options...done
Initializing decor options...done
/usr/bin/compiz-manager: regel 383: 11345 Segmentatiefout         ${COMPIZ_BIN_PATH}${COMPIZ_NAME} $COMPIZ_OPTIONS "$@" $COMPIZ_PLUGINS


is there a solution for the segfault?
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sat Sep 04, 2010 8:31 pm    Post subject: Reply with quote

Jasper-j wrote:
Hi, i tried compiz 0.9 an d it did compile. But when i want to run it. I get these messages:

Code:
Checking for Xgl: not present.
xset q doesn't reveal the location of the log file. Using fallback /var/log/Xorg.0.log
Detected PCI ID for VGA: 00:02.0 0300: 8086:0046 (rev 12) (prog-if 00 [VGA controller])
Checking for texture_from_pixmap: present.
Checking for non power of two support: present.
Checking for Composite extension: present.
Comparing resolution (1024x768) to maximum 3D texture size (4096): Passed.
Checking for nVidia: not present.
Checking for FBConfig: present.
Checking for Xgl: not present.
Starting gtk-window-decorator
/usr/bin/compiz (core) - Warn: Unknown option '--ignore-desktop-hints'

Backend     : ini
Integration : true
Profile     : default
Adding plugins
Initializing core options...done
Initializing composite options...done
Initializing opengl options...done
Initializing decor options...done
/usr/bin/compiz-manager: regel 383: 11345 Segmentatiefout         ${COMPIZ_BIN_PATH}${COMPIZ_NAME} $COMPIZ_OPTIONS "$@" $COMPIZ_PLUGINS


is there a solution for the segfault?


this is still happening ? 8O

Oh dear !

try compiling it with gcc 4.4* gcc 4.3* or compile it with the vanilla specs (when you're using hardened)


edit:

for me it works fine for the most parts - try to compile it with conservative C/CXXFLAGS

and you need to launch it from a button / launcher:

I created a launcher from the desktop / panel and had to push it several times until it worked ;)

execute it via:

Code:
compiz ccp --sm-disable --replace


you might need to set up things prior launch with ccsm

good luck !


I also created a set so you can install and uninstall them conveniently:

/etc/portage/sets/compiz++ wrote:

=x11-wm/compiz-meta-9999*
=x11-wm/compiz-9999*
=x11-plugins/compiz-plugins-main-9999*
=x11-plugins/compiz-plugins-extra-9999*
=x11-plugins/compiz-plugins-unsupported-9999*
=x11-libs/compizconfig-backend-gconf-9999*
=x11-libs/libcompizconfig-9999*
=x11-apps/ccsm-9999*
=dev-python/compizconfig-python-9999*


this should work in the most times (if you don't enable kde-stuff)

if you enable kde-stuff you need to add

/etc/portage/package.keywords wrote:
=x11-libs/compizconfig-backend-kconfig4-9999* **



for all things to work correctly you also need to emerge it twice
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sat Sep 04, 2010 10:31 pm    Post subject: Reply with quote

the message I'm getting, btw, is:
compiz ccp –sm-disable –replace wrote:

Backend : ini
Integration : true
Profile : default
Adding plugins
Initializing core options…done
Initializing composite options…done
Initializing crashhandler options…done
Initializing opengl options…done
Initializing imgjpeg options…done
Initializing decor options…done
compiz (core) – Error: Couldn’t load plugin ‘/usr/lib64/compiz/libneg.so’ : /usr/lib64/compiz/libneg.so: undefined symbol: _ZNK5boost13serialization13typeid_system27extended_type_info_typeid_012is_less_thanERKNS0_18extended_type_infoE
compiz (core) – Error: Couldn’t load plugin ‘neg’
Initializing switcher options…done
compiz (core) – Error: Couldn’t load plugin ‘/usr/lib64/compiz/libimgsvg.so’ : /usr/lib64/compiz/libimgsvg.so: undefined symbol: decor_apply_gravity
compiz (core) – Error: Couldn’t load plugin ‘imgsvg’
Initializing zoom options…done
Initializing move options…done
Initializing resize options…done
Initializing wall options…done
Initializing gnomecompat options…done
Initializing wobbly options…done
Initializing animation options…done
Initializing resizeinfo options…done
Initializing expo options…done
Initializing scale options…done
Setting Update “start_wm”
Setting Update “wm_cmd”
Setting Update “texture_compression”

_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 923
Location: halmstad

PostPosted: Tue Sep 14, 2010 5:36 pm    Post subject: Reply with quote

i am trying to get compiz but for me in overlay get this to like kernelOfTruth

WARNING:
"FindCompiz.cmake" file not found in cmake module directories.
It should be installed to allow building of external compiz packages.
Call "sudo make findcompiz_install" to install it.
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Tue Sep 14, 2010 7:50 pm    Post subject: Reply with quote

hedmo wrote:
i am trying to get compiz but for me in overlay get this to like kernelOfTruth

WARNING:
"FindCompiz.cmake" file not found in cmake module directories.
It should be installed to allow building of external compiz packages.
Call "sudo make findcompiz_install" to install it.


that should be no problem just install it twice on the 2nd time it'll be there and you won't see the error-message anymore (seems like portage doesn't install them in the correct order or the dependencies aren't 100% accurate) :wink:
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 923
Location: halmstad

PostPosted: Tue Sep 14, 2010 8:45 pm    Post subject: Reply with quote

i have tryed more then 2 times and its still there.
first its that error and after that it stop at 24%
compiz is the first that compiles of all deps. i have
tryed to clean My old compiz-fusion and emerge 9999
but no luck .that i only did ones if i remember correct
Back to top
View user's profile Send private message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 923
Location: halmstad

PostPosted: Wed Sep 15, 2010 5:21 pm    Post subject: Reply with quote

MAKEOPTS="-j1" did it (could not make it with my opts,MAKEOPTS="-j7" )
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Wed Sep 15, 2010 5:25 pm    Post subject: Reply with quote

hedmo wrote:
MAKEOPTS="-j1" did it (could not make it with my opts,MAKEOPTS="-j7" )


:o so you meant that kind of error - sorry I thought your compiz emerged fine for you and only the other plugins wouldn't emerge ... (this happened for me in the past)

https://forums.gentoo.org/viewtopic-p-6306855.html#6306855

this would have saved you some time :wink:

MAKEOPTS="-j1" isn't strictly needed, MAKEOPTS="-j3" also works for me (probably depends on the system you're using)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 923
Location: halmstad

PostPosted: Wed Sep 15, 2010 7:56 pm    Post subject: Reply with quote

i made only compiz at j1 and the rest at j7.9999 isnt my best friend :cry: .it starts but nothing works (allmost)
i got the cube to rotate ones but no more.all plugins are loaded but dont work,no window manager.no kmenu but
kmenu widget works :lol: jippy. every ting ells locks on my desktop but i have tryed it and still will give it some shots

one odd thing is that i downgraded and all the extra is still there and is in use :?

j3 worked to
Back to top
View user's profile Send private message
savalas
n00b
n00b


Joined: 10 Dec 2009
Posts: 40

PostPosted: Fri Sep 17, 2010 12:42 pm    Post subject: Reply with quote

Is there a recommended ebuild/overlay at this time? I tried both the desktop-effects overlay and tallica's without much success. I've tried both overlays over a few days and I had a bunch of different problems, too many to recall exactly. One of them was that the compiz-plugins-extra sources (from tallica's ebuild) were missing a bunch of headers. The workaround was to symlink the relevant include dirs from compiz-plugins-main sources.

Anyway, any advice?
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sun Oct 24, 2010 3:11 pm    Post subject: Reply with quote

coming up: compiz 0.9.2
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
costel78
Guru
Guru


Joined: 20 Apr 2007
Posts: 310

PostPosted: Mon Oct 25, 2010 4:49 pm    Post subject: Reply with quote

I compiled today compiz from tallica overlay.
Except the fact I needed to set MAKEOPTS to -j1 for compiz-9999, everything compiled without a glitch.
The bad part is that compiz has no window decorator.
I deleted everything from my home directory and restarted from scratch, I made the settings in CompizConfig Settings Manager, no luck.
I "borrowed" fusion-icon ebuild from desktop-overlays (I had to fix python deprecations errors) but even fusion-icon refuse to start with:
Code:
fusion-icon -v
 * Detected Session: gnome
 * Searching for installed applications...
 -- /usr/bin/compiz
 -- /usr/bin/openbox
 -- /usr/bin/kwin
 -- /usr/bin/metacity
 -- /usr/bin/xfwm4
 -- /usr/bin/gtk-window-decorator
 -- /usr/bin/kde4-window-decorator
 -- /usr/bin/emerald
 -- /usr/bin/ccsm
 -- /usr/bin/emerald-theme-manager
 * Opening CompizConfig context
Backend     : ini
Integration : true
Profile     : default
Traceback (most recent call last):
  File "/usr/bin/fusion-icon", line 57, in <module>
    from FusionIcon.interface import choose_interface
  File "/usr/lib64/python2.6/site-packages/FusionIcon/interface.py", line 22, in <module>
    from util import env
  File "/usr/lib64/python2.6/site-packages/FusionIcon/util.py", line 421, in <module>
    decorators = CompizDecorators(_installed)
  File "/usr/lib64/python2.6/site-packages/FusionIcon/util.py", line 228, in __init__
    self.command = context.Plugins['decoration'].Display['command']
KeyError: 'decoration'


I know that there are known bugs and I should expect 0.9.2.1 version, but I feel that I hit a settings error, not a real bug.
I have a nvidia video-card, I use nvidia-closed source drivers, nvidia module was loaded (specified in xorg.conf), compiz 0.8.6 has no error and it's working like a charm with same settings.

Anyone can help me, please ?
_________________
Sorry for my English. I'm still learning this language.
Back to top
View user's profile Send private message
Jupiter1TX
Guru
Guru


Joined: 24 Feb 2006
Posts: 546
Location: 3rd Rock

PostPosted: Mon Oct 25, 2010 9:03 pm    Post subject: Reply with quote

costel78 wrote:
I compiled today compiz from tallica overlay.
Except the fact I needed to set MAKEOPTS to -j1 for compiz-9999, everything compiled without a glitch.
The bad part is that compiz has no window decorator.
I deleted everything from my home directory and restarted from scratch, I made the settings in CompizConfig Settings Manager, no luck.
I "borrowed" fusion-icon ebuild from desktop-overlays (I had to fix python deprecations errors) but even fusion-icon refuse to start with:
Code:
fusion-icon -v
 * Detected Session: gnome
 * Searching for installed applications...
 -- /usr/bin/compiz
 -- /usr/bin/openbox
 -- /usr/bin/kwin
 -- /usr/bin/metacity
 -- /usr/bin/xfwm4
 -- /usr/bin/gtk-window-decorator
 -- /usr/bin/kde4-window-decorator
 -- /usr/bin/emerald
 -- /usr/bin/ccsm
 -- /usr/bin/emerald-theme-manager
 * Opening CompizConfig context
Backend     : ini
Integration : true
Profile     : default
Traceback (most recent call last):
  File "/usr/bin/fusion-icon", line 57, in <module>
    from FusionIcon.interface import choose_interface
  File "/usr/lib64/python2.6/site-packages/FusionIcon/interface.py", line 22, in <module>
    from util import env
  File "/usr/lib64/python2.6/site-packages/FusionIcon/util.py", line 421, in <module>
    decorators = CompizDecorators(_installed)
  File "/usr/lib64/python2.6/site-packages/FusionIcon/util.py", line 228, in __init__
    self.command = context.Plugins['decoration'].Display['command']
KeyError: 'decoration'


I know that there are known bugs and I should expect 0.9.2.1 version, but I feel that I hit a settings error, not a real bug.
I have a nvidia video-card, I use nvidia-closed source drivers, nvidia module was loaded (specified in xorg.conf), compiz 0.8.6 has no error and it's working like a charm with same settings.

Anyone can help me, please ?


Fusion-icon is not going to work with 0.9.x. You have to start compiz manually
or create a launcher. I too had to use -gtk and MAKEOPTS to -j1 for compiz and
everything else compiled 'fine'.

Compiz-0.9.x+kde4-window-decorator start up just fine BUT WOW how buggy. Move
a window and compiz crashes, click an icon compiz probably crashes, pet your
dog and compiz crashes, resize a window, compiz crashes, change active window,
compiz crashes, fart and compiz crashes...
_________________
Core i7 920 D0 | Asus P6T DLX | Patriot Viper 1600 6GB | Antec Quattro 850W
Geforce 8800GTX OC2 768MB | Dell 22" LCD | Koolance Exos2/Swiftech GTZ
GCC 4.6.1 | 3.7.x-geek | Xorg-7.4-x | KDE-4.7.x | Compiz
Back to top
View user's profile Send private message
ssteinberg
Apprentice
Apprentice


Joined: 09 Jul 2010
Posts: 206
Location: Israel

PostPosted: Mon Oct 25, 2010 9:06 pm    Post subject: Reply with quote

Jupiter1TX wrote:
Compiz-0.9.x+kde4-window-decorator start up just fine BUT WOW how buggy. Move
a window and compiz crashes, click an icon compiz probably crashes, pet your
dog and compiz crashes, resize a window, compiz crashes, change active window,
compiz crashes, fart and compiz crashes...


Better stop farting then
Back to top
View user's profile Send private message
costel78
Guru
Guru


Joined: 20 Apr 2007
Posts: 310

PostPosted: Mon Oct 25, 2010 9:40 pm    Post subject: Reply with quote

ssteinberg wrote:
Better stop farting then
and stop using compiz 0.9.x :D
I didn't know about fusion-icon. It was a last try before I came here to ask for help.
I'll wait for 0.9.2.1 to become available and if it still unstable I'll revert to stable 0.8.6

Jupiter1TX wrote:
I too had to use -gtk and MAKEOPTS to -j1 for compiz and
everything else compiled 'fine'.

At least you get those windows decorations. May I presume it was due to -gtk flag ?
_________________
Sorry for my English. I'm still learning this language.
Back to top
View user's profile Send private message
Jupiter1TX
Guru
Guru


Joined: 24 Feb 2006
Posts: 546
Location: 3rd Rock

PostPosted: Mon Oct 25, 2010 11:16 pm    Post subject: Reply with quote

costel78 wrote:

Jupiter1TX wrote:
I too had to use -gtk and MAKEOPTS to -j1 for compiz and
everything else compiled 'fine'.

At least you get those windows decorations. May I presume it was due to -gtk flag ?

Compiz would not compile with gtk flag. I use kde so -gtk on compiz was no big deal.
The kde decorator comes from the kde use flag on compiz.
_________________
Core i7 920 D0 | Asus P6T DLX | Patriot Viper 1600 6GB | Antec Quattro 850W
Geforce 8800GTX OC2 768MB | Dell 22" LCD | Koolance Exos2/Swiftech GTZ
GCC 4.6.1 | 3.7.x-geek | Xorg-7.4-x | KDE-4.7.x | Compiz
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Tue Oct 26, 2010 12:36 am    Post subject: Reply with quote

everything works for me (including the negative / neg / invert plugin) - but the most severe showstopper and productivity killer is the following BUG:

when you switch application (tab / any app switcher), use the expo plugin, wall plugin, etc.

the content of the app/window isn't refreshed anymore <--

the only solution so far was to manually minimize (alt + f9) and then re-select it after that it is usable again

it's unacceptable working with an app, browser-window, etc. of which I can't see its content

definitely NOT production-ready

it could be that this doesn't exist with other drivers (I'm using AMD's catalyst 10.10) but it should and has to work across all graphics drivers ...

so far the only application switcher functionality that doesn't show this (== working) seems to be the "Shift Switcher Plugin" in combination with "Cover" switcher-mode, the "Flip"-mode also shows this stupid behavior, ALSO when enabling "Mipmaps" it doesn't work (also does NOT refresh the content of the app's window) :(

so working:

- scaling
- shift-switcher + cover

NOT working:

- shift-switcher + flip
- expo
- wall
- (probably also cube - haven't tested yet)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
savalas
n00b
n00b


Joined: 10 Dec 2009
Posts: 40

PostPosted: Mon Nov 01, 2010 1:00 pm    Post subject: Reply with quote

In tallica's overlay, the compiz-9999 ebuild requires libX11 with the xcb flag, which has been removed in recent ebuilds (xcb is always enabled.)

Code:
--- a/x11-wm/compiz/Manifest    Sat Aug 28 11:37:10 2010 +0200
+++ b/x11-wm/compiz/Manifest    Mon Nov 01 12:43:22 2010 +0000
@@ -1,2 +1,2 @@
 AUX fix_access_violation.patch 2702 RMD160 30b96dd6a2991eb61f5b755589907c6448e9d17d SHA1 34df460a718e584b74365a52b8bafbcf14c3ffb3 SHA256 3a55e87a4109d4c8da9bbdca48aba9596d2836443588611ba7f7cff1ca4f7be0
-EBUILD compiz-9999.ebuild 2200 RMD160 d61449a6b5b5cfb71ae9ed17e1b671582dd772e7 SHA1 73e1659647121f9297bc52b8a1e6ae871ad1def4 SHA256 bc7620b0fbf530f62aeaa9aa7fea9390d9779bdb62f641d15b254edf18d050a2
+EBUILD compiz-9999.ebuild 2241 RMD160 56f652cfd46288155caa7adc346300265853f392 SHA1 6796c9a1dd4b1c1a1fbbe722189b31a54ea80fb7 SHA256 b1f15bfbc9840360009794795eb7b69bb03b662b3897248b8422a8a594393b5a
diff -r a61132a4bbc6 x11-wm/compiz/compiz-9999.ebuild
--- a/x11-wm/compiz/compiz-9999.ebuild  Sat Aug 28 11:37:10 2010 +0200
+++ b/x11-wm/compiz/compiz-9999.ebuild  Mon Nov 01 12:43:22 2010 +0000
@@ -23,7 +23,10 @@
        media-libs/libpng
        >=media-libs/mesa-6.5.1-r1
        >=x11-base/xorg-server-1.1.1-r1
-       x11-libs/libX11[xcb]
+       || (
+               x11-libs/libX11[xcb]
+               >=x11-libs/libX11-1.3.99.902
+       )
        x11-libs/libxcb
        x11-libs/libXcomposite
        x11-libs/libXdamage
Back to top
View user's profile Send private message
pianosaurus
l33t
l33t


Joined: 19 Apr 2004
Posts: 943
Location: Bash$

PostPosted: Wed Nov 03, 2010 12:29 am    Post subject: Reply with quote

kernelOfTruth wrote:
so working:

- scaling
- shift-switcher + cover

NOT working:

- shift-switcher + flip
- expo
- wall
- (probably also cube - haven't tested yet)


I have always had this problem with compiz using catalyst, not just the new one. Cube works, by the way.
_________________
PKA Cuber
Please add [SOLVED] to the subject of your original post when you feel that your problem is resolved.
Adopt an unanswered post
Back to top
View user's profile Send private message
luispa
Guru
Guru


Joined: 17 Mar 2006
Posts: 357
Location: España

PostPosted: Sat Nov 06, 2010 9:08 am    Post subject: Reply with quote

I'm having problems with dual head monitor. Loosing the bar.

Anyone tried 2 monitors?

Thanks
Luis
Back to top
View user's profile Send private message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 923
Location: halmstad

PostPosted: Fri Nov 12, 2010 7:07 pm    Post subject: Reply with quote

jepp works super no problems there :)
Back to top
View user's profile Send private message
SDNick484
Apprentice
Apprentice


Joined: 05 Dec 2005
Posts: 212

PostPosted: Tue Nov 16, 2010 10:48 am    Post subject: Reply with quote

I tried x11-wm/compiz-0.9.2 from the Desktop Effects overlay today and it compiles fine, but I get seg faults when starting Compiz with ccp. This is on an Intel card, and I compiled with MAKEOPTS="-j1" and C[XX]FLAGS of just "-O2 -pipe" on gcc-4.4.5 which should be fairly conservative.

I'm starting compiz with: LIBGL_ALWAYS_INDIRECT=1 INTEL_BATCH=1 compiz --replace --indirect-rendering --sm-disable ccp &

If I run the above command without ccp, I don't see a seg fault, but I can't set a windows decorator (I tried gtk-window-decorator, kde4-window-decorator, & emerald).

EDIT: Switching to compiz 0.9.2.1 from the tallica overlay resolved my issue (the above command now works as expected).
Back to top
View user's profile Send private message
Small_Penguin
Tux's lil' helper
Tux's lil' helper


Joined: 27 May 2005
Posts: 137

PostPosted: Wed Nov 17, 2010 3:44 pm    Post subject: Reply with quote

Finally! Using the segmentation fault fix from the tallica overlay I was able to start and configure compiz.

I could compile the experimental animations (ghost, flicker, popcorn, dissolve and black hole are looking nice), and window preview is working for minimized windows. gtk-window-decorator is working fine. However, there are quite some annoying issues: Unable to focus xterm windows (really *the* show stopper), put plugin doesn't work quite right when I want a window to go to another viewport, cube does not rotate to current viewport when clicking on an app in the xfce task bar etc.

So no, not really production ready, also it needs only small fixes to get there.

Does anyone have a link to the bloody compiz bug tracker? It seems the site is really dead and not much is going on on the forum and mailing lists. Only blog is active.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2
Page 2 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum